Subject: New Reply Received - Good Day sirs, my oder number is 9621908658. How Can I get it? I do not have local Mobile number.
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Thu, 17 Dec 2020 05:31:16 +0000

Hi Algaili Abdelbagee Ahmed,  The customer has responded to the ticket.  Good Day sirs, my oder number is 9621908658. How Can I get it? I do not have local Mobile number.  Ticket comment <div>Dear sir, we made order #9621908658, which is still not delivered. We have a letter from your support, which says that they cannot reach us over the Phone. Unfortunately, we do not have local number. Would you please tell us if you Can deliver the order to Bahar 6 in jbr, for unit 1103 or diliver to nearest place for picking up. Thank you</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1882259